summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-progressbar/ruby-progressbar-1.4.2-r1.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/ruby-progressbar/ruby-progressbar-1.4.2-r1.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/ruby-progressbar/ruby-progressbar-1.4.2-r1.ebuild')
-rw-r--r--dev-ruby/ruby-progressbar/ruby-progressbar-1.4.2-r1.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/dev-ruby/ruby-progressbar/ruby-progressbar-1.4.2-r1.ebuild b/dev-ruby/ruby-progressbar/ruby-progressbar-1.4.2-r1.ebuild
new file mode 100644
index 000000000000..b1ae93a641e1
--- /dev/null
+++ b/dev-ruby/ruby-progressbar/ruby-progressbar-1.4.2-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Text Progress Bar Library for Ruby"
+HOMEPAGE="https://github.com/jfelchner/ruby-progressbar"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~hppa ppc ppc64 x86"
+
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/timecop )"
+
+all_ruby_prepare() {
+ sed -i -e '/[Ss]imple[Cc]ov/ s:^:#:' spec/spec_helper.rb || die
+}